3 things: n00b

  1. On a remote server I am running the command below using the restful_authentication plugin and receiving the following error.

ruby script/generate authenticated user sessions

/usr/lib64/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require’: no such file to load – rails/generators/migration (MissingSourceFile)

from /usr/lib64/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

from /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:156:in `require'

from /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:521:in `new_constants_in'

from /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:156:in `require'

from /home1/angelrob/rails/movielist/vendor/plugins/restful-authentication/lib/generators/authenticated/authenticated_generator.rb:2

from /usr/lib64/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

from /usr/lib64/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

from /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:156:in `require'

from /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:521:in `new_constants_in'

from /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:156:in `require'

from /usr/lib64/ruby/gems/1.8/gems/rails-2.3.5/lib/rails_generator/spec.rb:17:in `klass'

from /usr/lib64/ruby/gems/1.8/gems/rails-2.3.5/lib/rails_generator/lookup.rb:140:in `instance'

from /usr/lib64/ruby/gems/1.8/gems/rails-2.3.5/lib/rails_generator/scripts/../scripts.rb:31:in `run'

from /usr/lib64/ruby/gems/1.8/gems/rails-2.3.5/lib/commands/generate.rb:6

from /usr/lib64/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

from /usr/lib64/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

from script/generate:3
  1. Locally I upgraded to Fedora 13 and running the command blow and receiving the following error.

rake db:create

** Invoke db:create (first_time)

** Invoke db:load_config (first_time)

** Invoke rails_env (first_time)

** Execute rails_env

** Execute db:load_config

rake aborted!

syntax error on line 24, col 2: ` socket: /var/lib/mysql/mysql.sock’

/usr/lib/ruby/1.8/yaml.rb:133:in `load’

/usr/lib/ruby/1.8/yaml.rb:133:in `load’

/usr/lib/ruby/gems/1.8/gems/rails-2.3.8/lib/initializer.rb:902:in `database_configuration’

/usr/lib/ruby/gems/1.8/gems/rails-2.3.8/lib/tasks/databases.rake:4

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in `invoke_with_call_chain’

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:607:in `invoke_prerequisites’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `each’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `invoke_prerequisites’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:596:in `invoke_with_call_chain’

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run’

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

/usr/bin/rake:19:in `load’

/usr/bin/rake:19

  1. Ideally I would like to have a git repo in the public_html directory of the remote server, clone that locally, test :3000 as the production environment and push to the server. I have a cobbled together solution that doesn’t seem to work and a bug unique to all wares. Any references/resources on a holistic RoR environment? Fedora 13/Bluehost/ git/ror …

I hope that makes sense.

Thanks in advance.

Angel Marquez wrote:

3. Ideally I would like to have a git repo in the public_html directory
of
the remote server, clone that locally, test :3000 as the
production environment and push to the server. I have a cobbled together
solution that doesn't seem to work and a bug unique to all wares. Any
references/resources on a holistic RoR environment? Fedora 13/Bluehost/
git/ror ...

I hope that makes sense.

Thanks in advance.

If you're looking for a deploy solution, Capistrano is one of the best
methods out there. If you go to
http://www.capify.org/index.php/Tutorials, there are a bunch of really
good tutorials to get you started.

The other 2 questions I'm too much of a noob to answer myself. However,
you might want to check and see if you installed rails properly on the
remote server. Re-installing it might solve question 1.

Thanks!

I had cap on the to do list, thanks for reinforcing. i hope the absolute morons guide makes sense : )